from ...common.sync_node import SyncNode
from schemas.material.material import MaterialResponse


class MaterialSyncNode(SyncNode[MaterialResponse]):
    """物资同步节点"""
    node_type = "material"
    schema = MaterialResponse
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
